Skip to main content
POST
/
v1
/
webauthn
/
register
/
options
Generate registration options
curl --request POST \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/webauthn/register/options \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "principalId": "user_abc123"
}
'
{
  "challengeId": "<string>",
  "challenge": "<string>",
  "rp": {
    "name": "<string>",
    "id": "<string>"
  },
  "user": {
    "id": "<string>",
    "name": "<string>",
    "displayName": "<string>"
  },
  "pubKeyCredParams": [
    {
      "type": "<string>",
      "alg": 123
    }
  ],
  "authenticatorSelection": {
    "userVerification": "required"
  },
  "timeout": 123
}

Authorizations

Authorization
string
header
required

Developer API key

Body

application/json
principalId
string
required

The end-user's principal ID

Example:

"user_abc123"

Response

Registration options

challengeId
string

Server-side challenge reference

challenge
string

Base64url-encoded challenge

rp
object
user
object
pubKeyCredParams
object[]
authenticatorSelection
object
timeout
integer